# line

## Name

line — Deprecated: see `packet` (script) for details

## Synopsis

Content Model

    line ::= (#PCDATA)

## Description

This element (used to store a Python script one line at a time) has been replaced with `text` (which stores the entire script at once). The old `line` element has been kept for backward compatibility, but any new code that writes data files should use a single `text` element instead.

A `line` element contains a single line of a Python script. Whitespace is relevant and is considered a part of this line. Line breaks are relevant and should not exist within this element.

### Parents

The following elements contain `line`: `packet` (script).

### Children

Element `line` has no children.